curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/representatives/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"first_name": "Ron",
"last_name": "Swanson",
"dob": "2019-12-27",
"ssn_last4": "1234",
"email": "user@example.com",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true
}
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"first_name": "Ron",
"last_name": "Swanson",
"dob": "1980-01-01",
"ssn_last4": "1234",
"email": "ron.swanson@pawnee.com",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true,
"percent_ownership": 123,
"title": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"phone": "<string>",
"metadata": {}
}
}Updates an existing representative’s information. This can be used to update personal details, contact information, or the relationship to the account or organization.
curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/representatives/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"first_name": "Ron",
"last_name": "Swanson",
"dob": "2019-12-27",
"ssn_last4": "1234",
"email": "user@example.com",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true
}
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"first_name": "Ron",
"last_name": "Swanson",
"dob": "1980-01-01",
"ssn_last4": "1234",
"email": "ron.swanson@pawnee.com",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true,
"percent_ownership": 123,
"title": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"phone": "<string>",
"metadata": {}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.straddle.com/llms.txt
Use this file to discover all available pages before exploring further.
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40The first name of the representative.
"Ron"
The last name of the representative.
"Swanson"
The date of birth of the representative, in ISO 8601 format (YYYY-MM-DD).
"1980-01-01"
The last 4 digits of the representative's Social Security Number.
^[0-9]{4}$"1234"
The email address of the representative.
"ron.swanson@pawnee.com"
The mobile phone number of the representative.
^\+[1-9]\d{1,14}$"+12128675309"
Show child attributes
Unique identifier for the representative in your database, used for cross-referencing between Straddle and your systems.
Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the represetative in a structured format.
Show child attributes
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?